summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_ldb.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2007-07-12 06:15:47 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:59:24 -0500
commit4955b21f68699826dfa9158681943673bbb10f6b (patch)
tree802332c1f3178f5048d46c0bfd938905aa654995 /testprogs/blackbox/test_ldb.sh
parenta21ea3351af893618c0356c49b5033bf7509044d (diff)
downloadsamba-4955b21f68699826dfa9158681943673bbb10f6b.tar.gz
samba-4955b21f68699826dfa9158681943673bbb10f6b.tar.bz2
samba-4955b21f68699826dfa9158681943673bbb10f6b.zip
r23849: ldap_server: Provide more info in debug traces
blackbox tests: increase test coverage by running more options. Andrew Bartlett (This used to be commit 46abf82675ea0ce06a162be5d733da0c236880c2)
Diffstat (limited to 'testprogs/blackbox/test_ldb.sh')
-rwxr-xr-xtestprogs/blackbox/test_ldb.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_ldb.sh b/testprogs/blackbox/test_ldb.sh
index 2c2ac10fdb..6ebb6c143b 100755
--- a/testprogs/blackbox/test_ldb.sh
+++ b/testprogs/blackbox/test_ldb.sh
@@ -1,7 +1,16 @@
#!/bin/sh
+if [ $# -lt 2 ]; then
+cat <<EOF
+Usage: test_ldb.sh PROTOCOL SERVER [OPTIONS]
+EOF
+exit 1;
+fi
+
+
p=$1
SERVER=$2
+PREFIX=$3
shift 2
options="$*"
@@ -29,6 +38,8 @@ echo "BASEDN is $BASEDN"
check "Listing Users" bin/ldbsearch $options $CONFIGURATION -H $p://$SERVER '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
+check "Listing Users (sorted)" bin/ldbsearch -S $options $CONFIGURATION -H $p://$SERVER '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
+
check "Listing Groups" bin/ldbsearch $options $CONFIGURATION -H $p://$SERVER '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
nentries=`bin/ldbsearch $options -H $p://$SERVER $CONFIGURATION '(|(|(&(!(groupType:1.2.840.113556.1.4.803:=1))(groupType:1.2.840.113556.1.4.803:=2147483648)(groupType:1.2.840.113556.1.4.804:=10))(samAccountType=805306368))(samAccountType=805306369))' sAMAccountName | grep sAMAccountName | wc -l`